package com.flozano.mim.air;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class Lounge implements Serializable {

	private static final long serialVersionUID = 1L;

	@NotNull
	private AirportCode airportCode;

	@NotNull
	@Size(min = 3, max = 50)
	private String name;

	@Size(min = 10, max = 250)
	private String description;

	private long id;

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public AirportCode getAirportCode() {
		return airportCode;
	}

	public void setAirportCode(AirportCode airportCode) {
		this.airportCode = airportCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	@Override
	public String toString() {
		return "Lounge [airportCode=" + airportCode + ", name=" + name
				+ ", description=" + description + "]";
	}

}
