package com.flozano.mim.air;

import com.flozano.mim.NotFoundException;

public class LoungeNotFoundException extends NotFoundException {

	private static final long serialVersionUID = 1L;
	private long loungeId;

	public LoungeNotFoundException(long loungeId) {
		this(loungeId, null);
	}

	public LoungeNotFoundException(long loungeId, Throwable t) {
		super("Lounge with ID '" + loungeId + "'", t);
	}

	public long getLoungeId() {
		return loungeId;
	}

	public void setLoungeId(long loungeId) {
		this.loungeId = loungeId;
	}
	
}
