package com.flozano.mim.air;

import java.io.Serializable;
import java.util.Date;

import com.flozano.mim.MemberNumber;

public class Segment implements Serializable {

	private static final long serialVersionUID = 1L;

	private long id;
	private MemberNumber loadedMemberNumber;
	private Date departure;
	private AirportCode origin;
	private String originName;// Only for reports
	private AirportCode destination;
	private String destinationName;// Only for reports
	private AirlineCode airline;
	private String airlineName;// Only for reports
	private int flightNumber;
	private BookingClass bookingClass;
	private String bookingClassName;// Only for reports

	private int miles;// Only for reports

	public int getMiles() {
		return miles;
	}

	public void setMiles(int miles) {
		this.miles = miles;
	}

	public String getOriginName() {
		return originName;
	}

	public void setOriginName(String originName) {
		this.originName = originName;
	}

	public String getDestinationName() {
		return destinationName;
	}

	public void setDestinationName(String destinationName) {
		this.destinationName = destinationName;
	}

	public String getAirlineName() {
		return airlineName;
	}

	public void setAirlineName(String airlineName) {
		this.airlineName = airlineName;
	}

	public String getBookingClassName() {
		return bookingClassName;
	}

	public void setBookingClassName(String bookingClassName) {
		this.bookingClassName = bookingClassName;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public BookingClass getBookingClass() {
		return bookingClass;
	}

	public void setBookingClass(BookingClass bookingCLass) {
		this.bookingClass = bookingCLass;
	}

	public int getFlightNumber() {
		return flightNumber;
	}

	public void setFlightNumber(int flightNumber) {
		this.flightNumber = flightNumber;
	}

	public Date getDeparture() {
		return departure;
	}

	public void setDeparture(Date departure) {
		this.departure = departure;
	}

	public AirportCode getOrigin() {
		return origin;
	}

	public void setOrigin(AirportCode origin) {
		this.origin = origin;
	}

	public AirportCode getDestination() {
		return destination;
	}

	public void setDestination(AirportCode destination) {
		this.destination = destination;
	}

	public AirlineCode getAirline() {
		return airline;
	}

	public void setAirline(AirlineCode airline) {
		this.airline = airline;
	}

	public MemberNumber getLoadedMemberNumber() {
		return loadedMemberNumber;
	}

	public void setLoadedMemberNumber(MemberNumber memberNumber) {
		this.loadedMemberNumber = memberNumber;
	}

}
