package com.flozano.mim.air.dao;

import java.util.List;

import com.flozano.mim.air.Airport;
import com.flozano.mim.air.AirportCode;
import com.flozano.mim.air.AirportNotFoundException;
import com.flozano.mim.country.CountryID;

public interface AirportDAO {

	Airport get(AirportCode code) throws AirportNotFoundException;

	List<Airport> findByCountry(CountryID countryID);

	List<Airport> findAll();

}
