package com.flozano.mim.air.dao;

import java.util.List;

import com.flozano.mim.air.AirportCode;
import com.flozano.mim.air.Lounge;
import com.flozano.mim.air.LoungeNotFoundException;

public interface LoungeDAO {

	List<Lounge> find(AirportCode airportCode);

	void insert(AirportCode airport, String name, String description);

	void update(long loungeId, AirportCode airportCode, String name,
			String description) throws LoungeNotFoundException;

	void delete(long loungeId) throws LoungeNotFoundException;

	Lounge get(long loungeId);
}
