package com.flozano.mim.member;

import com.flozano.mim.AlreadyExistsException;

public class EmailAddressAlreadyExistsException extends AlreadyExistsException {

	private static final long serialVersionUID = 1L;

	public EmailAddressAlreadyExistsException(EmailAddress emailAddress,
			Throwable t) {
		super("Email address '" + emailAddress + "'", t);
	}

	public EmailAddressAlreadyExistsException(EmailAddress emailAddress) {
		this(emailAddress, null);
	}

}
