package com.flozano.mim.member;

import java.io.Serializable;

import com.flozano.mim.MemberNumber;

public class Member implements Serializable {

	private static final long serialVersionUID = 1L;

	private long id;

	private MemberNumber memberNumber;

	private FullName fullName = new FullName();

	private EmailAddress emailAddress;

	private PhoneNumber phoneNumber;

	private PostalAddress postalAddress = new PostalAddress();

	public void setId(long id) {
		this.id = id;
	}

	public void setMemberNumber(MemberNumber memberNumber) {
		this.memberNumber = memberNumber;
	}

	public void setFullName(FullName fullName) {
		this.fullName = fullName;
	}

	public void setPostalAddress(PostalAddress address) {
		this.postalAddress = address;
	}

	public EmailAddress getEmailAddress() {
		return emailAddress;
	}

	public void setEmailAddress(EmailAddress emailAddress) {
		this.emailAddress = emailAddress;
	}

	public PhoneNumber getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(PhoneNumber phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public long getId() {
		return id;
	}

	public MemberNumber getMemberNumber() {
		return memberNumber;
	}

	public FullName getFullName() {
		return fullName;
	}

	public PostalAddress getPostalAddress() {
		return postalAddress;
	}

}
