package com.flozano.mim.member.dao;

import java.util.Date;

import com.flozano.mim.MemberNumber;

public interface MemberAccountStatementDAO {

	long insert(long memberId, Date date, int miles);

	int totalMiles(long memberId);

	int totalMiles(MemberNumber memberNumber);

	int sumMilesAccruedBetween(MemberNumber memberNumber, Date time, Date when);

	int sumMilesAccruedBetween(long memberId, Date time, Date when);

	void updateMilesBySegment(long segmentId, int miles);

}
