package com.flozano.mim.member.impl;

import java.util.Random;

import org.springframework.stereotype.Component;

import com.flozano.mim.MemberNumber;
import com.flozano.mim.member.MemberNumberGenerator;

@Component
public class DummyMemberNumberGenerator implements MemberNumberGenerator {

	private final Random r = new Random();

	@Override
	public MemberNumber generateNew() {
		StringBuilder sb = new StringBuilder();

		sb.append(r.nextInt(99999)).append(r.nextInt(99999))
				.append(r.nextInt(99999));
		while (sb.length() < 15) {
			sb.append(r.nextInt(9));
		}
		return new MemberNumber(sb.toString());
	}
}
