<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<form:form method="POST" modelAttribute="loungeForm">
	<table border="1" class="form">
		<tr>
			<th>Name:</th>
			<td><form:input path="name" /> <form:errors cssClass="error"
					path="name"
				/></td>
		</tr>
		<tr>
			<th>Airport:</th>
			<td><form:select path="airportCode">
					<form:options itemLabel="fullName" itemValue="id"
						items="${airports}"
					/>
				</form:select></td>
		</tr>
		<tr>
			<th>Description:</th>
			<td><form:textarea path="description" /> <form:errors
					cssClass="error" path="description"
				/></td>
		</tr>
		<tr>
			<td colspan="2"><input type="submit" value="Save" />
				<form:errors cssClass="error" path="" />
			</td>
		</tr>
	</table>
</form:form>