<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"
%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<spring:url value="/admin/members/{memberId}" var="memberUrl">
	<spring:param name="memberId" value="${ memberId }" />
</spring:url>
<form:form method="POST" modelAttribute="flightForm">
	<table>
		<tr>
			<th>Airline:</th>
			<td><form:select path="airline" items="${airlines}"
					itemLabel="name" itemValue="code"
				/></td>
			<th>Flight Number:</th>
			<td><form:input path="flightNumber" /></td>
		</tr>
		<tr>
			<th>Origin:</th>
			<td><form:select path="origin" items="${airports}"
					itemLabel="fullName" itemValue="id"
				/></td>
			<th>Destination:</th>
			<td><form:select path="destination" items="${airports}"
					itemLabel="fullName" itemValue="id"
				/></td>
		</tr>
		<tr>
			<th>Departure:</th>
			<td><form:input path="departureText" /></td>
			<th>Booking class:</th>
			<td><form:input path="bookingClass" size="1" /></td>
		</tr>
		<tr>
			<th>Miles:</th>
			<td><form:input path="miles" /></td>
			<td><input type="submit" value="Save changes" /></td>
			<td><input type="button" value="Cancel" onclick="javascript:window.location='${memberUrl}'" /></td>
		</tr>
	</table>
</form:form>