<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>

<spring:url value="/admin/members" var="currentUrl" />

<form method="GET">
	<input name="search" type="text" value="${param.search}"> <input
		type="submit" value="Search" />
	<display:table name="members" requestURI="${ currentUrl }"
		sort="external" id="row" >
		<display:column title="Member Number" property="memberNumber"
			sortable="true" />
		<display:column title="First Name" property="fullName.firstName"
			sortable="true" />
		<display:column title="Last Name(s)" property="fullName.lastName"
			sortable="true" />
		<display:column title="Country" property="postalAddress.country"
			sortable="true" />
		<display:column title="">
			<a href="${currentUrl}/${row.id}">Details</a>
		</display:column>
	</display:table>

</form>
