<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>

<form:form method="GET" modelAttribute="form">
	<form:select path="airport">
		<form:option value="-" label="Any" />
		<form:options itemLabel="fullName" itemValue="id" items="${airports}" />
	</form:select>
	<input type="submit" value="Filter by airport" />
</form:form>

<display:table name="lounges">
	<display:column property="airportCode" title="Airport" />
	<display:column property="name" title="Name" />
	<display:column property="description" title="Description" />
</display:table>