<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<spring:url value="/member/account/flights" var="${currentUrl }" />
<form method="GET">
	<label for="from">From:</label><input type="text" class="date"
		name="from"
		value="<fmt:formatDate value="${flightsReport.from}" type="both" 
      pattern="yyyy-MM-dd" />" />

	<br /> <label for="until">Until:</label> <input type="text"
		class="date" name="until"
		value="<fmt:formatDate value="${flightsReport.until}" type="both" 
      pattern="yyyy-MM-dd" />" />
	<br />
	<input type="Submit" value="Filter by date" />
</form>

<display:table name="flightsReport.segments" id="row" pagesize="5" requestURI="${currentUrl}">
	<display:column title="Date" property="departure"></display:column>
	<display:column title="From" property="originName"></display:column>
	<display:column title="To" property="destinationName"></display:column>
	<display:column title="Airline" property="airlineName"></display:column>
	<display:column title="Flight No." property="flightNumber"></display:column>
	<display:column title="Class" property="bookingClassName"></display:column>
	<display:column title="Miles" property="miles"></display:column>
</display:table>