<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<form:form method="POST" modelAttribute="form">
	<table border="1" class="form">

		<tr>
			<th>Called:</th>
			<td><form:select path="fullName.called">
					<form:option value="MR"></form:option>
					<form:option value="MRS"></form:option>
					<form:option value="DR"></form:option>
				</form:select> <form:errors cssClass="error" path="fullName.called" /></td>
		</tr>
		<tr>
			<th>First Name:</th>
			<td><form:input path="fullName.firstName" /> <form:errors
					cssClass="error" path="fullName.firstName" /></td>
		</tr>
		<tr>
			<th>Last Name:</th>
			<td><form:input path="fullName.lastName" /> <form:errors
					cssClass="error" path="fullName.lastName" /></td>
		</tr>
		<tr>
			<th>Password:</th>
			<td><form:input path="password" /> <form:errors
					cssClass="error" path="password" /></td>
		</tr>
		<tr>
			<th>Password (again):</th>
			<td><form:input path="repeatPassword" /> <form:errors
					cssClass="error" path="repeatPassword" /></td>
		</tr>
		<tr>
			<th>E-mail address:</th>
			<td><form:input path="emailAddress" /> <form:errors
					cssClass="error" path="emailAddress" /></td>
		</tr>

		<tr>
			<th>Telephone number:</th>
			<td><form:input path="phoneNumber" /> <form:errors
					cssClass="error" path="phoneNumber" /></td>
		</tr>
		<tr>
			<th>Address:</th>
			<td><form:textarea path="postalAddress.address" /> <form:errors
					cssClass="error" path="postalAddress.address" /></td>
		</tr>
		<tr>
			<th>City:</th>
			<td><form:input path="postalAddress.city" /> <form:errors
					cssClass="error" path="postalAddress.city" /></td>
		</tr>
		<tr>
			<th>Zip code:</th>
			<td><form:input path="postalAddress.zipCode" /> <form:errors
					cssClass="error" path="postalAddress.zipCode" /></td>
		</tr>
		<tr>
			<th>State or Region:</th>
			<td><form:input path="postalAddress.stateOrRegion" /> <form:errors
					cssClass="error" path="postalAddress.stateOrRegion" /></td>
		</tr>
		<tr>
			<th>Country:</th>
			<td><form:select path="postalAddress.country">
					<form:option value="ES">Spain</form:option>
					<form:option value="US">USA</form:option>
					<form:option value="DE">Germany</form:option>
				</form:select> <form:errors cssClass="error" path="postalAddress.country" /></td>
		</tr>
		<tr>
			<td colspan="2"><input type="submit" value="Register" />
			<form:errors
					cssClass="error" path="" />
			</td>
		</tr>
	</table>
</form:form>