package com.flozano.mim.air;

import java.util.List;

import com.flozano.mim.country.CountryID;

public interface AirService {

	Airline getAirline(AirlineCode code) throws AirlineNotFoundException;

	Airport getAirport(AirportCode code) throws AirportNotFoundException;

	List<Airport> findAirports(CountryID countryID);

	List<Airport> findAllAirports();

	List<Airline> findAllAirlines();

}
