package com.flozano.mim.air;

import com.flozano.mim.NotFoundException;

public class AirportNotFoundException extends NotFoundException {

	private static final long serialVersionUID = 1L;

	private final AirportCode airportCode;

	public AirportNotFoundException(AirportCode code) {
		this(code, null);
	}

	public AirportNotFoundException(AirportCode code, Throwable t) {
		super("Airpot '" + code + "'", t);
		this.airportCode = code;
	}

	public AirportCode getAirportCode() {
		return airportCode;
	}

}
