package com.flozano.mim.air;

public enum EliteStatus {

	NONE(0), BRONZE(5000), SILVER(10000), GOLD(30000);

	final int thresold;

	EliteStatus(int thresold) {
		this.thresold = thresold;
	}
	
	public String getName() {
		return this.toString();
	}
	
	public int getThresold() {
		return thresold;
	}

	public static EliteStatus fromMiles(int amount) {
		if (amount >= GOLD.thresold) {
			return GOLD;
		} else if (amount >= SILVER.thresold) {
			return SILVER;
		} else if (amount >= BRONZE.thresold) {
			return BRONZE;
		} else {
			return NONE;
		}
	}
}
