package com.flozano.mim.member;

import com.flozano.mim.AppException;

public class CannotSendEmailException extends AppException {

	private static final long serialVersionUID = 1L;

	public CannotSendEmailException(EmailAddress emailAddress, Throwable t) {
		super("Email address '" + emailAddress
				+ "' is not accepting messages from this system", t);
	}
}
