<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core_rt"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="sec"
	uri="http://www.springframework.org/security/tags"
%>
<%@ taglib uri="http://displaytag.sf.net" prefix="display"%>
<spring:url value="/admin/lounges" var="currentUrl" />
<form:form method="GET" modelAttribute="form">
	<form:select path="airport">
		<form:option value="-" label="Any" />
		<form:options itemLabel="fullName" itemValue="id" items="${airports}" />
	</form:select>
	<input type="submit" value="Filter by airport" />
</form:form>
<c:if test="${loungeUpdated==true}">
	<span class="info">The lounge has been successfully updated</span>
</c:if>
<display:table name="lounges" id="row">
	<display:column property="airportCode" title="Airport" />
	<display:column property="name" title="Name" />
	<display:column property="description" title="Description" />
	<display:column title="">
		<a href="${currentUrl}/${row.id}">Edit</a>
	</display:column>
</display:table>
