<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><tiles:insertAttribute name="title" ignore="true" /></title>
<spring:url var="jqueryUrl" value="/js" />
<spring:url var="cssUrl" value="/css" />
<!-- Use the CDN better 
<script type="text/javascript" src="${jsUrl}/jquery.js"></script>
-->
<script type="text/javascript"
	src="http://code.jquery.com/jquery-1.8.3.js"
></script>
<script type="text/javascript"
	src="http://code.jquery.com/ui/1.9.2/jquery-ui.js"
></script>
<link rel="stylesheet" href="${cssUrl}/screen.css" type="text/css" />
<link rel="stylesheet" href="${cssUrl}/print.css" type="text/css"
	media="print"
/>
<link rel="stylesheet"
	href="http://code.jquery.com/ui/1.9.2/themes/base/jquery-ui.css"
	type="text/css"
/>
<script type="text/javascript">
	$(function() {
		$('.date').datepicker({ dateFormat: 'yy-mm-dd' });
	});
</script>
</head>
<body>
	<table cellpadding="2" cellspacing="2" align="center">
		<tr>
			<td height="30" colspan="2"><tiles:insertAttribute name="header" />
			</td>
		</tr>
		<tr>
			<td width="15%" height="250" class="leftColumn"><tiles:insertAttribute name="menu" /></td>
			<td width="75%"><tiles:insertAttribute name="body" /></td>
		</tr>
		<tr>
			<td height="30" colspan="2"><tiles:insertAttribute name="footer" />
			</td>
		</tr>
	</table>
</body>
</html>