package com.flozano.mim.air.dao;

import static org.junit.Assert.*;

import java.util.List;

import org.junit.Test;

import com.flozano.mim.BaseTest;
import com.flozano.mim.air.Airline;
import com.flozano.mim.air.AirlineCode;

public abstract class AirlineDAOTest extends BaseTest {

	protected abstract AirlineDAO getAirlineDAO();

	@Test
	public void testGetAirline() {
		Airline a = getAirlineDAO().get(new AirlineCode("JK"));
		assertNotNull(a);
		assertNotNull(a.getCode());
		assertNotNull(a.getName());
	}
	
	@Test
	public void testFindAirlines() {
		List<Airline> as = getAirlineDAO().findAll();
		assertNotNull(as);
		assertTrue(as.size() > 1);
	}

}
